<?xml version="1.0" encoding="UTF-8"?>
<cfsdat xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://www.cfs++.org/simulation">
  <documentation>
    <title>node2Cell</title>
    <authors>
      <author>kroppert</author>
      <author>cjunger</author>
    </authors>
    <date>2017-02-05</date>
    <keywords>
      <keyword>cfsdat</keyword>
      <keyword>interpolation</keyword>
    </keywords>
    <references></references>
    <isVerified>no</isVerified>
    <description>
      The case consists of scalar node results on a 3D mesh with two regions
      and a conform interface. Note: The target mesh has to be the same as the
      input mesh.
    </description>
  </documentation>
  
  <pipeline>
    <stepValueDefinition>
      <startStop>
        <startStep value="0"/>
        <numSteps value="9"/>
        <startTime value="0.01"/>
        <delta  value="0.01"/>
        <deleteOffset value="no"/>
      </startStop>
    </stepValueDefinition>
    <meshInput id="input1" gridType="fullGrid">
      <inputFile>
        <hdf5 fileName="srcData/nodeResults.cfs"/>
      </inputFile>
    </meshInput>

    <interpolation type="FieldInterpolation_Node2Cell" id="interp1" inputFilterIds="input1">
      <targetMesh>
        <hdf5 fileName="srcData/nodeResults.cfs"/>
      </targetMesh>
      <singleResult>
        <inputQuantity resultName="acouRhsLoad"/>
        <outputQuantity resultName="acouRhsLoad"/>
      </singleResult>
      <regions>
        <sourceRegions>
          <region name="FLUID_INNER"/>
          <region name="FLUID_OUTER"/>
        </sourceRegions>
        <targetRegions>
          <region name="FLUID_INNER"/>
          <region name="FLUID_OUTER"/>
        </targetRegions>
      </regions>
    </interpolation>
      
    <meshOutput id="node2Cell_3D_hdf5" inputFilterIds="interp1">
      <outputFile>
        <hdf5 extension="h5" compressionLevel="1" externalFiles="no"/>
      </outputFile>
      <saveResults>
        <result resultName="acouRhsLoad">
          <allRegions/>
        </result>
      </saveResults>
    </meshOutput>
  </pipeline>
</cfsdat>


